

#include "I2CTC31855.h"
#include <Wire.h>

extern "C" {

bool  I2CTC31855_IsConnected (unsigned char adr)
{
  bool connect;

  Wire.beginTransmission(adr);
  if (Wire.endTransmission() == 0) {
    connect = true;
  } else {
    connect = false;
  }

  return (connect);
}

bool I2CTC31855_Rd(unsigned char adr, unsigned char *p_data, unsigned char nbyte) 
{
  bool available;

  if (I2CTC31855_IsConnected(adr) == true) {
    available = false;
    Wire.requestFrom(adr, nbyte);
    while (Wire.available()) {
      *p_data++ = Wire.read();
      available = true;
    }
  } else {
    available = false;
  }

  return (available);
}

}